# coding: utf-8

"""
    Magneto API

    Magneto API is the RESTful API for the Rely.io platform.

    The version of the OpenAPI document: v0.0.1
    Contact: contact@rely.io
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


import unittest

from magneto_api_client.models.blueprint_options import BlueprintOptions

class TestBlueprintOptions(unittest.TestCase):
    """BlueprintOptions unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional) -> BlueprintOptions:
        """Test BlueprintOptions
            include_optional is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # uncomment below to create an instance of `BlueprintOptions`
        """
        model = BlueprintOptions()
        if include_optional:
            return BlueprintOptions(
                properties_groups = {
                    'key' : {
                        'key' : null
                        }
                    },
                show_in_side_bar = True
            )
        else:
            return BlueprintOptions(
        )
        """

    def testBlueprintOptions(self):
        """Test BlueprintOptions"""
        # inst_req_only = self.make_instance(include_optional=False)
        # inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
